#
# spec file for package gstreamer-plugins-bad-codecs
#

%define _name gst-plugins-bad
%define gst_branch 1.0
%define _version 1.20.0

Name:           gstreamer-plugins-bad-codecs
Version:        1.20.1
Release:        150400.3.pm.2
Summary:        Codecs/plugins for gstreamer-plugins-bad
License:        LGPL-2.1-or-later
Group:          Productivity/Multimedia/Other
URL:            https://gstreamer.freedesktop.org
Source0:        %{url}/src/%{_name}/%{_name}-%{version}.tar.xz
Source99:       baselibs.conf

BuildRequires:  c++_compiler
BuildRequires:  faac-devel
BuildRequires:  libfaad-devel
BuildRequires:  fdupes
BuildRequires:  meson
BuildRequires:  orc
BuildRequires:  pkgconfig
BuildRequires:  python3-base
BuildRequires:  pkgconfig(dvdnav)
BuildRequires:  pkgconfig(dvdread)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-export-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0) >= %{_version}
BuildRequires:  pkgconfig(gstreamer-allocators-1.0)
BuildRequires:  pkgconfig(gstreamer-audio-1.0) >= %{_version}
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0) >= %{_version}
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0) >= %{_version}
BuildRequires:  pkgconfig(gstreamer-video-1.0) >= %{_version}
BuildRequires:  pkgconfig(libdca)
BuildRequires:  pkgconfig(libde265)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(librtmp)
BuildRequires:  pkgconfig(vo-amrwbenc)
BuildRequires:  pkgconfig(x265)

Provides:       gstreamer-plugins-bad-orig-addon = %{version}
Obsoletes:      gstreamer-plugins-bad-orig-addon < 1.18.0
Requires:       gstreamer-plugins-bad >= %{_version}
Supplements:    gstreamer-plugins-bad

%description
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new
plug-ins.

%prep
%autosetup -n %{_name}-%{version} -p1

%build
%meson \
	--auto-features=disabled \
	-Dpackage-name='Packman GStreamer-plugins-bad-codecs' \
	-Dpackage-origin='https://pmbs.links2linux.de' \
    -Dgpl=enabled \
	-Dlibde265=enabled \
	-Dorc=enabled \
	-Ddts=enabled \
	-Dfaac=enabled \
	-Dfaad=enabled \
	-Dmodplug=enabled \
	-Dresindvd=enabled \
	-Drtmp=enabled \
	-Dsiren=enabled \
	-Dvoamrwbenc=enabled \
	-Dx265=enabled \
	%{nil}
%meson_build

%install
%meson_install

# Nuke all files built in gstreamer-plugins-bad in distro
rm -rfv %{buildroot}%{_libdir}/*.so
rm -rfv %{buildroot}%{_libdir}/*.so.0
rm -rfv %{buildroot}%{_libdir}/*.so.0.*.0
rm -rfv %{buildroot}%{_libdir}/pkgconfig/
rm -rfv %{buildroot}%{_includedir}/
rm -rfv %{buildroot}%{_bindir}/
rm -rfv %{buildroot}%{_datadir}/gstreamer-%{gst_branch}/encoding-profiles

%files
%license COPYING
%dir %{_datadir}/gstreamer-%{gst_branch}/presets/
%{_datadir}/gstreamer-%{gst_branch}/presets/GstVoAmrwbEnc.prs
%{_libdir}/gstreamer-%{gst_branch}/libgstde265.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdtsdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfaac.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfaad.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmodplug.so
%{_libdir}/gstreamer-%{gst_branch}/libgstresindvd.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtmp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsiren.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvoamrwbenc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstx265.so

%changelog
* Wed Feb  8 2023 Simon Vogl <simon.vogl@gmx.net>
- Removed the openh264 gstreamer plugin as openSUSE now ships the
  openh264 gstreamer plugin themselves:
  https://news.opensuse.org/2023/01/24/opensuse-simplifies-codec-install/
* Sat Jun  4 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.20.1
* Thu Mar 10 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.18.6
* Fri Feb  4 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.18.5
* Sun Jan 30 2022 Bjørn Lie <zaitor@opensuse.org>
- Limit Obsolete of orig-addon to version 1.16.3 and older.
* Sat Jan 29 2022 Bjørn Lie <zaitor@opensuse.org>
- Initial packaging.
